## net.sourceforge.pmd.symboltable
Class JspSymbolFacade

    java.lang.Object
      net.sourceforge.pmd.symboltable.JspSymbolFacade

All Implemented Interfaces:
  VisitorStarter

public class JspSymbolFacade
extends java.lang.Object
implements VisitorStarter

Symbol Facade for JSP.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

Constructor Summary
`JspSymbolFacade()`

Method Summary
`void` `start(java.lang.Object rootNode)` Set Scope for JSP AST.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspSymbolFacade

    public JspSymbolFacade()

Method Detail

### start

    public void start(java.lang.Object rootNode)

  Set Scope for JSP AST.

  Specified by:
    `start` in interface `VisitorStarter`
  Parameters:
    `rootNode` - The root node of the AST

Copyright © 2002-2006 InfoEther. All Rights Reserved.